linux-kselftest.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH v3] Kernel selftests: Add check if TPM devices are supported
@ 2020-05-21 14:43 Nikita Sobolev
  2020-05-22 16:37 ` Jarkko Sakkinen
  2020-05-22 19:07 ` Petr Vorel
  0 siblings, 2 replies; 6+ messages in thread
From: Nikita Sobolev @ 2020-05-21 14:43 UTC (permalink / raw)
  To: Shuah Khan, linux-kselftest
  Cc: Jarkko Sakkinen, Tadeusz Struk, Joey Pabalinas, Petr Vorel,
	linux-kernel, linux-integrity, Jason Gunthorpe, Peter Huewe,
	Alexey Brodkin, Eugeniy Paltsev, linux-snps-arc, Nikita Sobolev

TPM2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
are available. In case, when these devices are not available test
fails, but expected behaviour is skipped test.

Signed-off-by: Nikita Sobolev <Nikita.Sobolev@synopsys.com>
---
Changes for v2:
    - Coding Style cleanup

Changes for v3:
    - Commit text message cleanup

 tools/testing/selftests/tpm2/test_smoke.sh | 5 +++++
 tools/testing/selftests/tpm2/test_space.sh | 5 +++++
 2 files changed, 10 insertions(+)

diff --git a/tools/testing/selftests/tpm2/test_smoke.sh b/tools/testing/selftests/tpm2/test_smoke.sh
index 8155c2ea7ccb..663062701d5a 100755
--- a/tools/testing/selftests/tpm2/test_smoke.sh
+++ b/tools/testing/selftests/tpm2/test_smoke.sh
@@ -1,6 +1,11 @@
 #!/bin/bash
 # SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
 
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpm0 ] || exit $ksft_skip
+
 python -m unittest -v tpm2_tests.SmokeTest
 python -m unittest -v tpm2_tests.AsyncTest
 
diff --git a/tools/testing/selftests/tpm2/test_space.sh b/tools/testing/selftests/tpm2/test_space.sh
index a6f5e346635e..36c9d030a1c6 100755
--- a/tools/testing/selftests/tpm2/test_space.sh
+++ b/tools/testing/selftests/tpm2/test_space.sh
@@ -1,4 +1,9 @@
 #!/bin/bash
 # SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
 
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpmrm0 ] || exit $ksft_skip
+
 python -m unittest -v tpm2_tests.SpaceTest
-- 
2.16.2


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2020-05-22 20:00 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-05-21 14:43 [PATCH v3] Kernel selftests: Add check if TPM devices are supported Nikita Sobolev
2020-05-22 16:37 ` Jarkko Sakkinen
2020-05-22 16:37   ` Jarkko Sakkinen
2020-05-22 19:23     ` shuah
2020-05-22 20:00       ` Jarkko Sakkinen
2020-05-22 19:07 ` Petr Vorel

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).